﻿namespace Guia.Elements
{
    using System.Windows.Automation;

    /// <summary>
    /// This class represents a basic UI-Control. That is a control without further subelements.
    /// </summary>
    public class UiBaseControl : UiElement
    {
        /// <summary>
        /// Initializes a new instance of the UiBaseControl class. 
        /// </summary>
        /// <param name="automationElement">The AutomationElement representating this UiBaseControl.</param>
        public UiBaseControl(AutomationElement automationElement)
            : base(automationElement)
        {
        }
    }
}
