namespace Guia.Win32
{
    /// <summary>
    /// Enum for the available mouse events.
    /// </summary>
    public enum MouseEvent
    {
        /// <summary>
        /// Left button down.
        /// </summary>
        LEFT_DOWN = 0x02,

        /// <summary>
        /// Left button up.
        /// </summary>
        LEFT_UP = 0x04,

        /// <summary>
        /// Right button down.
        /// </summary>
        RIGHT_DOWN = 0x08,

        /// <summary>
        /// Right button up.
        /// </summary>
        RIGHT_UP = 0x10
    }
}