﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using Guia.Elements;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Guia.Core;
using WpfTestApplication;

namespace GuiaTest
{
    /// <summary>
    /// Summary description for ButtonTest
    /// </summary>
    [TestClass]
    public class ButtonTest : AbstractWindowTest
    {   
        [TestMethod]
        public void TestInvoke()
        {
            Button button = window.Get<Button>("button1");
            button.Invoke();
            Label label = window.Get<Label>("label1");
            Assert.AreEqual("I was clicked",label.TextValue);
        }

        protected override Type TestWindowType()
        {
            return typeof(ButtonTestWindow);
        }

        protected override string TestWindowName()
        {
            return "ButtonTestWindow";
        }
    }
}
