﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Guia.Core;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Guia.Elements;
using WpfTestApplication;

namespace GuiaTest
{
    /// <summary>
    /// Summary description for LabelTest
    /// </summary>
    [TestClass]
    public class LabelTest : AbstractWindowTest
    {
        public LabelTest()
        {
        }

        protected override Type TestWindowType()
        {
            return typeof(LabelTestWindow);
        }

        protected override string TestWindowName()
        {
            return "LabelTestWindow";
        }


        [TestMethod]
        public void TestGetTextValue()
        {
            string textValue = window.Get<Label>("label1").TextValue;
            Assert.AreEqual("This is a label",textValue);
        }
    }
}
