﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfTestApplication
{
    /// <summary>
    /// Interaction logic for ListViewTestWindow.xaml
    /// </summary>
    public partial class ListGridViewTestWindow : Window
    {
        ObservableCollection<GameData> _GameCollection = new ObservableCollection<GameData>();

        public ListGridViewTestWindow()
        {

            _GameCollection.Add(new GameData
            {
                GameName = "World Of Warcraft",
                Creator = "Blizzard",
                Publisher = "Blizzard"
            });
            _GameCollection.Add(new GameData
            {
                GameName = "Halo",
                Creator = "Bungie",
                Publisher = "Microsoft"
            });
            _GameCollection.Add(new GameData
            {
                GameName = "Gears Of War",
                Creator = "Epic",
                Publisher = "Microsoft"
            });

            InitializeComponent();
        }


        public ObservableCollection<GameData> GameCollection
        { get { return _GameCollection; } }

        private void handleCellDblClick(object sender, MouseButtonEventArgs e)
        {
            
        }
    }


}
