﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Guia.Core;
using Guia.Elements;
using WpfTestApplication;

namespace GuiaTest
{
    /// <summary>
    /// Summary description for PasswordBoxTest
    /// </summary>
    [TestClass]
    public class PasswordBoxTest : AbstractWindowTest
    {
        [TestMethod]
        public void TestSetValue()
        {
            PasswordBox passwordBox = window.Get<PasswordBox>("passwordBox1");
            passwordBox.Value = "test";
        }

        [TestMethod,ExpectedException(typeof(OperationNotSupportedException))]
        public void TestSetValueDisabled()
        {
            PasswordBox passwordBox = window.Get<PasswordBox>("passwordBox2");
            passwordBox.Value = "test";
        }
        
        protected override Type TestWindowType()
        {
            return typeof(PasswordBoxTestWindow);
        }

        protected override string TestWindowName()
        {
            return "PasswordBoxTestWindow";
        }
    }
}
