namespace Guia.Core
{
    using System;

    /// <summary>
    /// Parent class for all Guia-specific Exceptions
    /// </summary>
    public class GuiaException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="GuiaException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public GuiaException(string message) : base(message)
        {  
        }
    }
}