namespace Guia.Core
{
    /// <summary>
    /// This Exception indicates that no valid construcor was found
    /// </summary>
    public class NoConstructorFoundException : GuiaException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="NoConstructorFoundException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public NoConstructorFoundException(string message) : base(message)
        {
        }
    }
}