namespace Guia.Core
{
    /// <summary>
    /// This Exception is thrown if no element could be found
    /// </summary>
    public class ElementNotFoundException : GuiaException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ElementNotFoundException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public ElementNotFoundException(string message) : base(message)
        {
        }
    }
}