﻿namespace Guia.Core
{
    /// <summary>
    /// Represents a runnable entity.
    /// The starting-mechanism is an issue of the particular implementation. But all runnable entities can be stopped.
    /// </summary>
    public interface IRunnableEntity
    {
        /// <summary>
        /// Stopps the execution of this runnable Entity.
        /// </summary>
        void Stop();
    }
}
