﻿namespace Guia.Core
{
    /// <summary>
    /// This exception is thrown when an operation of an AutomationElement- or pattern is not allowed or supported in the particular context.
    /// </summary>
    public class OperationNotSupportedException : GuiaException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="OperationNotSupportedException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public OperationNotSupportedException(string message) : base(message)
        { 
        }
    }
}
