﻿
namespace Guia.Elements
{
    using System.Windows.Automation;

    /// <summary>
    /// This class represents a UiContainer. That is a control with further sub-elements.
    /// </summary>
    public class UiContainer : UiElement
    {
        /// <summary>
        /// Initializes a new instance of the UiContainer class. 
        /// </summary>
        /// <param name="automationElement">The AutomationElement representating this UiContainer.</param>
        public UiContainer(AutomationElement automationElement)
            : base(automationElement)
        {
        }
    }
}
