﻿using System.Collections.ObjectModel;
using System.Windows;


namespace WpfTestApplication
{
    /// <summary>
    /// Interaction logic for ListViewTestWindow.xaml
    /// </summary>
    public partial class DataGridTestWindow : Window
    {
        ObservableCollection<GameData> _GameCollection = new ObservableCollection<GameData>();

        public DataGridTestWindow()
        {
            InitializeComponent();
            _GameCollection.Add(new GameData
            {
                GameName = "World Of Warcraft",
                Creator = "Blizzard",
                Publisher = "Blizzard",
                Multiplayer = true
            });
            _GameCollection.Add(new GameData
            {
                GameName = "Halo",
                Creator = "Bungie",
                Publisher = "Microsoft",
                Multiplayer = false
            });
            _GameCollection.Add(new GameData
            {
                GameName = "Gears Of War",
                Creator = "Epic",
                Publisher = "Microsoft",
                Multiplayer = false
            });
        }
        
        public ObservableCollection<GameData> GameCollection
        {
            get { return _GameCollection; }
        }
    }
}
